<?php
$data = explode('/', $block->getData('id_path'));
$productId = $data[1] ?? 0;
$product = $block->getProductById($productId); 
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();
?>
<div class="col-lg-4 col-md-4 col-xs-6 description animText animate fadeInLeft one" style="visibility: hidden;" id="leftText">	
	<div class="lrw">
		<?php echo $product->getName(); ?>
	</div>
	<p class="shopnow ptb20">
    <?php if (!$isCartDisabled){ ?>
      <?php if ($product->isSaleable()){ ?>
          <div>
                              <?php echo $block->getProductPrice($product) ?>
                              <?php $postParams = $block->getAddToCartPostParams($product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="btn-wrapper-btn btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

                                  <span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
                                </button>
                              </form>
                            </div>
                          <?php }else{ ?>
                            <div class="notify-box">
                              <div class="product alert notify-box-stock overriden">
                               <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window btn btn-primary" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $product->getId(); ?>">Notify me when this <br />product is in stock</a>
                             </div>
                            </div>
                          <?php }?>
                            <?php }?>
</p>
	<p class="pb40"><a class="learn-more" href="<?php echo $product->getProductUrl(); ?>">Learn more</a></p>
	<img class="img-responsive charges-15 desktop" src="https://alogic.co/media/wysiwyg/Wallcabinet_1.jpg" alt="">
</div>
<?php
  echo $block->getLayout()->createBlock(\Magento\Backend\Block\Template::class)
            ->setTemplate('Alogic_Customtheme::stockalert-popup.phtml')
            ->toHtml(); 
?>